org.apache.cassandra.streaming.messages

## Class ReceivedMessage

- java.lang.Object
- - org.apache.cassandra.streaming.messages.StreamMessage
  - - org.apache.cassandra.streaming.messages.ReceivedMessage

    public class ReceivedMessage
    extends StreamMessage

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.streaming.messages.StreamMessage

`StreamMessage.Serializer<V extends StreamMessage>, StreamMessage.Type`

### Field Summary

Fields
`java.util.UUID` `cfId`
`int` `sequenceNumber`
`static StreamMessage.Serializer<ReceivedMessage>` `serializer`

### Fields inherited from class org.apache.cassandra.streaming.messages.StreamMessage

`CURRENT_VERSION, type, VERSION_20, VERSION_22, VERSION_30`

### Constructor Summary

Constructors
Constructor and Description
`ReceivedMessage(java.util.UUID cfId, int sequenceNumber)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class org.apache.cassandra.streaming.messages.StreamMessage

`deserialize, getPriority, sent, serialize, wasSent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serializer

    public static StreamMessage.Serializer<ReceivedMessage> serializer

#### cfId

    public final java.util.UUID cfId

#### sequenceNumber

    public final int sequenceNumber

### Constructor Detail

#### ReceivedMessage

    public ReceivedMessage(java.util.UUID cfId,
                           int sequenceNumber)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`